[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

portupgrade problem with php5 ?



Hi all.. 

Everythings been working really well here until I tried to portupgrade php5
from 5.2.1_3 to 5.2.3

I know it works cause ive done it on non-ezjail machines.. 

Has anyone else had this issue ? Any ideas at all ?
Steve

Output of portupgrade is :

server4# portupgrade php5
--->  Upgrading 'php5-5.2.1_3' to 'php5-5.2.3' (lang/php5)
--->  Building '/usr/ports/lang/php5'
===>  Cleaning for apache-1.3.37_4
===>  Cleaning for autoconf-2.59_2
===>  Cleaning for pkg-config-0.21
===>  Cleaning for libxml2-2.6.27
===>  Cleaning for perl-5.8.8
===>  Cleaning for expat-2.0.0_1
===>  Cleaning for m4-1.4.9
===>  Cleaning for help2man-1.36.4_1
===>  Cleaning for gmake-3.81_2
===>  Cleaning for libiconv-1.9.2_2
===>  Cleaning for p5-gettext-1.05_1
===>  Cleaning for gettext-0.16.1_3
===>  Cleaning for libtool-1.5.22_4
===>  Cleaning for php5-5.2.3
===>  Found saved configuration for php5-5.2.1_3
===>  Extracting for php5-5.2.3
=> MD5 Checksum OK for php-5.2.3.tar.bz2.
=> SHA256 Checksum OK for php-5.2.3.tar.bz2.
=> MD5 Checksum OK for suhosin-patch-5.2.3-0.9.6.2.patch.gz.
=> SHA256 Checksum OK for suhosin-patch-5.2.3-0.9.6.2.patch.gz.
===>  Patching for php5-5.2.3
===>  Applying distribution patches for php5-5.2.3
===>  Applying FreeBSD patches for php5-5.2.3
Ignoring previously applied (or reversed) patch.
1 out of 1 hunks ignored--saving rejects to ext/standard/string.c.rej
=> Patch patch-ext_standard_string.c failed to apply cleanly.
=> Patch(es) patch-TSRM_threads.m4 patch-Zend::zend.h patch-acinclude.m4
patch-configure.in patch-ext_date_lib_timelib_structs.h
patch-ext_standard_array.c patch-ext_standard_basic_functions.c
patch-ext_standard_dns.h patch-ext_standard_image.c applied cleanly.
*** Error code 1

Stop in /usr/ports/lang/php5.
*** Error code 1

Stop in /usr/ports/lang/php5.
** Command failed [exit code 1]: /usr/bin/script -qa
/tmp/portupgrade.71972.0 env UPGRADE_TOOL=portupgrade
UPGRADE_PORT=php5-5.2.1_3 UPGRADE_PORT_VER=5.2.1_3 make
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
        ! lang/php5 (php5-5.2.1_3)      (patch error)
--->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed